#
# spec file for package iptables (Version 1.2.7a)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  kernel-source
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext kernel-source libtool perl rpm

Name:         iptables
License:      GPL
Group:        Productivity/Networking/Security
Autoreqprov:  on
Version:      1.2.7a
Release:      408
Summary:      IP Packet Filter Administration
Source:       http://www.netfilter.org/files/%{name}-%{version}.tar.bz2
Patch1:       %{name}-%{version}.debian.diff.bz2
Patch2:       %{name}-%{version}-makefile.patch
Patch3:       %{name}-%{version}-modules-secfix.diff
URL:          http://www.iptables.org
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Iptables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel. This version requires kernel
2.4.0 or newer.



Authors:
--------
    Netfilter Core Team <netfilter-core@linuxcare.com.au>

%package devel
Summary:      libipq libraries, headers and development man pages
Group:        Development/Libraries/C and C++
Autoreqprov:  on
Requires:     %{name} = %{version}

%description devel
These libraries are needed to compile programs against libipq.



Authors:
--------
    Netfilter Core Team <netfilter-core@linuxcare.com.au>

%prep
%setup 
%patch1 -p1
%patch2 -p1
%patch3

%build
make BINDIR=%{_prefix}/sbin LIBDIR=%{_libdir} MANDIR=%{_mandir} COMPILE_EXPERIMENTAL=1 KERNEL_DIR=/usr/src/linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make BINDIR=$RPM_BUILD_ROOT%{_prefix}/sbin \
     LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
     INCDIR=$RPM_BUILD_ROOT%{_prefix}/include \
     MANDIR=$RPM_BUILD_ROOT%{_mandir} install install-devel COMPILE_EXPERIMENTAL=1 KERNEL_DIR=/usr/src/linux

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc COPYING KNOWN_BUGS
%{_prefix}/sbin/iptables*
%{_prefix}/sbin/ip6tables*
%{_libdir}/iptables
%doc %{_mandir}/man8/*
%doc doc/*.html

%files devel
%doc %{_mandir}/man3/*
%{_libdir}/*.a
%{_prefix}/include/*

%changelog -n iptables
* Tue Nov 02 2004 - postadal@suse.cz
- fixed uninitialised variable [#47850] - CAN-2004-0986
* Thu Sep 05 2002 - postadal@suse.cz
- updated to bugfixed 1.2.7a version
* Wed Aug 28 2002 - postadal@suse.cz
- added Requires %%{name} = %%{version} to devel package
* Thu Aug 08 2002 - nadvornik@suse.cz
- updated to 1.2.7
* Wed Mar 27 2002 - postadal@suse.cz
- revert to compile it with kernel headers (#15448)
* Fri Feb 01 2002 - nadvornik@suse.cz
- compiled with kernel headers from glibc
* Tue Jan 15 2002 - nadvornik@suse.cz
- update to 1.2.5
* Wed Nov 14 2001 - nadvornik@suse.cz
- updated to 1.2.4 [bug #12104]
- fixed problems with iptables-save/restore
- iptables-1.2.4.debian.diff.bz2 contains documentation only,
  Makefile changes moved to separate patch
* Sat Sep 22 2001 - garloff@suse.de
- Fix ipt_string support (compile fix).
* Tue Jul 17 2001 - garloff@suse.de
- Update to iptables-1.2.2
- Appply debian patch: mostly docu stuff
- Added COMPILE_EXPERIMENTAL flag to Makefile and pass it from RPM
  .spec file to compile and install ip(6)tables-save/restore apps.
* Fri Apr 06 2001 - kukuk@suse.de
- changed neededforbuild from lx_suse to kernel-source
* Tue Mar 27 2001 - lmuelle@suse.de
- update to 1.2.1a
- add devel package with libipq stuff
- minor spec file cleanup
* Sun Jan 28 2001 - olh@suse.de
- update to 1.2, needed for ppc and sparc
* Tue Dec 19 2000 - nadvornik@suse.cz
- compiled with lx_suse
* Tue Oct 17 2000 - nadvornik@suse.cz
- update to 1.1.2
* Fri Sep 22 2000 - ro@suse.de
- up to 1.1.1
* Fri Jun 09 2000 - ro@suse.de
- fixed neededforbuild
* Wed Jun 07 2000 - nadvornik@suse.cz
- new package 1.1.0
